# Class WaffleInfoServlet

java.lang.Object
waffle.servlet.WaffleInfoServlet

All Implemented Interfaces:
  `Serializable`

public class WaffleInfoServlet extends Object
A servlet that returns WaffleInfo as XML.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`WaffleInfoServlet()`

## Method Summary

Modifier and Type
Method
Description
`void`
`destroy()`
`protected void`
`doDelete(javax.servlet.http.HttpServletRequest arg0, javax.servlet.http.HttpServletResponse arg1)`
`void`
`doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected void`
`doHead(javax.servlet.http.HttpServletRequest arg0, javax.servlet.http.HttpServletResponse arg1)`
`protected void`
`doOptions(javax.servlet.http.HttpServletRequest arg0, javax.servlet.http.HttpServletResponse arg1)`
`void`
`doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected void`
`doPut(javax.servlet.http.HttpServletRequest arg0, javax.servlet.http.HttpServletResponse arg1)`
`protected void`
`doTrace(javax.servlet.http.HttpServletRequest arg0, javax.servlet.http.HttpServletResponse arg1)`
`String`
`getInitParameter(String arg0)`
`Enumeration<String>`
`getInitParameterNames()`
`protected long`
`getLastModified(javax.servlet.http.HttpServletRequest arg0)`
`javax.servlet.ServletConfig`
`getServletConfig()`
`javax.servlet.ServletContext`
`getServletContext()`
`String`
`getServletInfo()`
`String`
`getServletName()`
`void`
`getWaffleInfoResponse(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
Gets the waffle info response.
`void`
`init()`
`void`
`init(javax.servlet.ServletConfig arg0)`
`void`
`log(String arg0)`
`void`
`log(String arg0, Throwable arg1)`
`protected void`
`service(javax.servlet.http.HttpServletRequest arg0, javax.servlet.http.HttpServletResponse arg1)`
`void`
`service(javax.servlet.ServletRequest arg0, javax.servlet.ServletResponse arg1)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WaffleInfoServlet

public WaffleInfoServlet()

## Method Details

### doGet

public void doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)

### doPost

public void doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)

### getWaffleInfoResponse

public void getWaffleInfoResponse(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)
Gets the waffle info response.

Parameters:
  `request` - the request
  `response` - the response

### getLastModified

protected long getLastModified(javax.servlet.http.HttpServletRequest arg0)

### doHead

protected void doHead(javax.servlet.http.HttpServletRequest arg0, javax.servlet.http.HttpServletResponse arg1) throws javax.servlet.ServletException, IOException

Throws:
  `javax.servlet.ServletException`
  `IOException`

### doPut

protected void doPut(javax.servlet.http.HttpServletRequest arg0, javax.servlet.http.HttpServletResponse arg1) throws javax.servlet.ServletException, IOException

Throws:
  `javax.servlet.ServletException`
  `IOException`

### doDelete

protected void doDelete(javax.servlet.http.HttpServletRequest arg0, javax.servlet.http.HttpServletResponse arg1) throws javax.servlet.ServletException, IOException

Throws:
  `javax.servlet.ServletException`
  `IOException`

### doOptions

protected void doOptions(javax.servlet.http.HttpServletRequest arg0, javax.servlet.http.HttpServletResponse arg1) throws javax.servlet.ServletException, IOException

Throws:
  `javax.servlet.ServletException`
  `IOException`

### doTrace

protected void doTrace(javax.servlet.http.HttpServletRequest arg0, javax.servlet.http.HttpServletResponse arg1) throws javax.servlet.ServletException, IOException

Throws:
  `javax.servlet.ServletException`
  `IOException`

### service

protected void service(javax.servlet.http.HttpServletRequest arg0, javax.servlet.http.HttpServletResponse arg1) throws javax.servlet.ServletException, IOException

Throws:
  `javax.servlet.ServletException`
  `IOException`

### service

public void service(javax.servlet.ServletRequest arg0, javax.servlet.ServletResponse arg1) throws javax.servlet.ServletException, IOException

Throws:
  `javax.servlet.ServletException`
  `IOException`

### destroy

public void destroy()

### getInitParameter

public String getInitParameter(String arg0)

### getInitParameterNames

public Enumeration<String> getInitParameterNames()

### getServletConfig

public javax.servlet.ServletConfig getServletConfig()

### getServletContext

public javax.servlet.ServletContext getServletContext()

### getServletInfo

public String getServletInfo()

### init

public void init(javax.servlet.ServletConfig arg0) throws javax.servlet.ServletException

Throws:
  `javax.servlet.ServletException`

### init

public void init() throws javax.servlet.ServletException

Throws:
  `javax.servlet.ServletException`

### log

public void log(String arg0)

### log

public void log(String arg0, Throwable arg1)

### getServletName

public String getServletName()